Subject: Re: [PATCH 0/4] net: drop netif_attrmask_next*()

From: Jakub Kicinski <[email-masked]>
Date: Mon, 3 Oct 2022 09:50:48 -0700

On Sun,  2 Oct 2022 08:16:58 -0700 Yury Norov wrote:
> netif_attrmask_next_and() generates warnings if CONFIG_DEBUG_PER_CPU_MAPS
> is enabled.

Could you describe the nature of the warning? Is it a false positive 
or a legit warning?

If the former perhaps we should defer until after the next merge window.

> It is used in a single place. netif_attrmask_next() is not
> used at all. With some rework of __netif_set_xps_queue(), we can drop
> both functions, switch the code to well-tested bitmap API and fix the
> warning.